=== debian/changelog ===
kdeconnect (1.4-0ubuntu5+10.0trisquel1) nabia; urgency=medium

  * Fix kdeconnect_open MimeType

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 21 Jan 2022 00:56:37 +0000
