## kdeconnect 20.08.2

=== debian/changelog ===
kdeconnect (20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream bugfix release (20.08.2)
  * SECURITY UPDATE: Packet manipulation can be exploited in a Denial of
    Service attack.
    - CVE-2020-26164
    - Thanks Matthias Gerstner and the openSUSE security team for reporting
      the issue. Thanks to Aleix Pol, Nicolas Fella and Albert Vaca Cintora
      for the patches.

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Oct 2020 12:33:36 +0100

kdeconnect (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:51:55 +0100

kdeconnect (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:45:35 +0100

kdeconnect (20.04.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update description to better describe latest device support and
      capabilities, using wording request by upstream developers.
    - Recommends: kpeople-vcard.
    - Add missing qml-module-qtquick-particles2 runtime depend.
    - wrap-and-sort.

 -- Rik Mills <rikmills@kde.org>  Fri, 31 Jul 2020 16:30:41 +0100

kdeconnect (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch python-nautilus suggest to python3-nautilus. (Closes: #958724)

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 07:43:53 +0200

kdeconnect (20.04.3-0ubuntu2) groovy; urgency=medium

  * Add missing qml-module-qtquick-particles2 runtime depend.
    (LP: #1888215)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jul 2020 14:19:38 +0100

kdeconnect (20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:36:13 +0100

kdeconnect (20.04.2-1ubuntu2) groovy; urgency=medium

  * Really restore Recommends: kpeople-vcard

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 16:13:53 +0100

kdeconnect (20.04.2-1ubuntu1) groovy; urgency=medium

  * Update description to better describe latest device support and
    capabilities.
  * Recommends: kpeople-vcard

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Jun 2020 09:39:58 +0100

kdeconnect (20.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * We don't need disable_networkPackageIdentityTest.patch anymore to
    pass tests.

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (1.3.5). (Closes: #940489)

  [ Nicolas Fella ]
  * Point to new website.
  * Remove suggestion of plasma-workspace.

  [ Pino Toscano ]
  * New upstream release from KDE's release-service.
  * Update Vcs-* fields.
  * Update watch file and signing key for KDE's release-service.
  * Update the patches:
    - fix_typos_in_lanlinkprovider.cpp.patch: drop, fixed upstream
    - ssl_socket_race_fix.diff: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.64.0
    - add kirigami2-dev, libkf5people-dev, libkf5pulseaudioqt-dev,
      libkf5wayland-dev, and qtmultimedia5-dev
    - remove libkf5config-dev, and libkf5declarative-dev
    - explicitly add gettext
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Unregister the removed /etc/xdg/autostart/kdeconnectd.desktop conffile.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add the qml-module-org-kde-kirigami2 and qml-module-org-kde-people
    dependencies, as hinted by the build system.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway
    - drop the libqca-qt5-2-plugins build dependency, no more needed now
  * Temporarily enable the diffie-hellman-group14-sha1 key exchange algorithm,
    as the Android application still uses it; backport the
    kdeconnect-openssh-8.2.patch Arch Linux patch done by Antonio Rojas.
    (Closes: #953843)

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 09:59:36 +0200
