=== debian/changelog ===
kdeconnect (20.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Add Breaks: fuse (<< 3) and Depends: fuse3 (>= 3) and bump sshfs Depends
    to (>= 3) to ensure fuse gets replaced by fuse3 on upgrades from buster.
    (Thanks to Andreas Beckmann) (Closes: #990764)

 -- Norbert Preining <norbert@preining.info>  Wed, 07 Jul 2021 04:16:39 +0900

kdeconnect (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Mar 2021 22:43:49 +0100

kdeconnect (20.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Fella ]
  * Drop now unnecessary dependency to kde-cli-tools.

  [ Pino Toscano ]
  * New upstream release.
  * Update upstream GPG signing key.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the unused kdeconnect-app.lintian-overrides file.
  * Rename docs to kdeconnect.docs, to make it clear which package it refers
    to.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:06:51 +0100

kdeconnect (20.12.0-4) unstable; urgency=medium

  * Add Breaks+Replaces: kdeconnect (<< 20.12) (Closes: #979420).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Jan 2021 16:10:02 +0100

kdeconnect (20.12.0-3) unstable; urgency=medium

  * Remove unneeded runtime dependency kde-telepathy-kpeople.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 21:22:21 +0100

kdeconnect (20.12.0-2) unstable; urgency=medium

  * Fix runtime dependency to kpeople-vcard for vCard support.
  * Sync long description with Kubuntu.
  * Prefer the specific project homepage over the generic apps page.
  * Drop lintian override for desktop-entry-limited-to-environments, will be
    fixed upstream in the next release.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 16:17:48 +0100

kdeconnect (20.12.0-1) unstable; urgency=medium

  * Add Recommends: kdeconnect-kpeople-vcard-plugin which is now a runtime
    dependency of kdeconnect.
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Split the Nautilus extension into its own package so it can correctly
    depend on python3-nautilus.
  * Add various missing QML runtime dependendencies, drop dependency on
    qml-module-qtquick-controls, not needed anymore.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 31 Dec 2020 12:30:27 +0100

kdeconnect (20.08.3-1) unstable; urgency=medium

  * New upstream release (20.08.3).
  * Add patch to fix Python interpreter location in Debian for the Nautilus
    extension.
  * Add lintian overrides:
    - Missing manpage for kdeconnect-app, it has no command line arguments.
    - desktop-entry-limited-to-environments, kdeconnect is really only working
      in Plasma.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 23:17:30 +0100

kdeconnect (20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Fella ]
  * Add dependency on QtQuick Particles QML module, used in the presenter.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.71.0
    - add libkf5solid-dev
  * Add lintian override for kdeconnect-app having no manual as it doesn’t
    have command line arguments.
  * Build with hardening=+all build hardening flag.
  * Review copyright information.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Bump the debhelper compatibility to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 22:53:05 +0100
