## kdeconnect 21.08.1

=== debian/changelog ===
kdeconnect (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:28 +0100

kdeconnect (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:00:54 +0100

kdeconnect (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:53:55 +0100

kdeconnect (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update build deps.
  * Add qml-module-org-kde-qqc2desktopstyle to runtime depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 22:11:04 +0100

kdeconnect (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:41:48 +0100

kdeconnect (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:20 +0100

kdeconnect (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:04:59 +0100

kdeconnect (21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)
  * Update build deps.
  * Update install files.

  [ José Manuel Santamaría Lema ]
  * Add lintian override for *.desktop service file

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:39 +0100
