=== debian/control ===
--- 
+++ 
@@ -19,18 +19,25 @@
                libkf5notifications-dev (>= 5.71.0~),
                libkf5people-dev (>= 5.71.0~),
                libkf5pulseaudioqt-dev,
+               libkf5qqc2desktopstyle-dev,
                libkf5service-dev (>= 5.71.0~),
                libkf5solid-dev (>= 5.71.0~),
                libkf5wayland-dev (>= 4:5.71.0~),
                libqca-qt5-2-dev (>= 2.1.0~),
+               libqt5waylandclient5-dev,
                libqt5x11extras5-dev (>= 5.10.0~),
+               libwayland-bin,
+               libwayland-dev,
                libx11-dev,
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.10.0~),
+               qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.10.0~),
                qtmultimedia5-dev (>= 5.10.0~),
+               qtquickcontrols2-5-dev,
+               qtwayland5-dev-tools,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kdeconnect.kde.org
@@ -45,6 +52,7 @@
          qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-people,
+         qml-module-org-kde-qqc2desktopstyle,
          qml-module-qt-labs-platform,
          qml-module-qtgraphicaleffects,
          qml-module-qtmultimedia,
@@ -55,12 +63,9 @@
          qml-module-qtquick-particles2,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         sshfs (>= 3),
+         sshfs,
          ${misc:Depends},
          ${shlibs:Depends},
-# Ensure fuse gets replaced by fuse3 on upgrades from buster s.t. sshfs can be installed.
-         fuse3 (>= 3),
-Breaks: fuse (<< 3)
 Description: connect smartphones to your desktop devices
  Tool to integrate your smartphone, tablet, and desktop devices.
  Remote-control, share files, synchronize notifications, and more!
