## kdeconnect 21.08.3

=== declarativeplugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,9 @@
-include_directories(${CMAKE_CURRENT_BINARY_DIR}
-                    ${CMAKE_CURRENT_SOURCE_DIR}
-                    ${CMAKE_SOURCE_DIR}
-                    ${CMAKE_BINARY_DIR})
-
-set(kdeconnectdeclarativeplugin_SRC
+add_library(kdeconnectdeclarativeplugin SHARED
     kdeconnectdeclarativeplugin.cpp
     responsewaiter.cpp
     objectfactory.cpp
+    resources.qrc
 )
-
-qt5_add_resources(kdeconnectdeclarativeplugin_SRC resources.qrc)
-
-add_library(kdeconnectdeclarativeplugin SHARED ${kdeconnectdeclarativeplugin_SRC})
 target_link_libraries(kdeconnectdeclarativeplugin
     Qt5::Qml
     kdeconnectinterfaces
@@ -20,6 +12,8 @@
 
 install(TARGETS kdeconnectdeclarativeplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)
 install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)
+
+ecm_generate_qmltypes(org.kde.kdeconnect 1.0 DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kdeconnect)
 
 # So qml apps using this plugin can be run from build/bin directory
 add_custom_target(copy_to_build_dir_bin)
