=== debian/changelog ===
kdeconnect (21.08.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Feb 2022 13:21:44 -0800

kdeconnect (21.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc again, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Nov 2021 08:40:51 +0100

kdeconnect (21.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Disable BLHC of Salsa CI.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Oct 2021 21:57:18 +0200

kdeconnect (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Add missing B-Ds.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 09:10:24 +0900

kdeconnect (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Added myself to the uploaders.
  * Update build dependencies from cmake.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:57:54 +0900
