=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: kdeconnect
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.71.0~),
                gettext,
                kirigami2-dev (>= 5.71.0~),
+               kpeople-vcard,
                libfakekey-dev,
                libkf5configwidgets-dev (>= 5.71.0~),
                libkf5dbusaddons-dev (>= 5.71.0~),
@@ -19,26 +22,24 @@
                libkf5notifications-dev (>= 5.71.0~),
                libkf5people-dev (>= 5.71.0~),
                libkf5pulseaudioqt-dev,
-               libkf5qqc2desktopstyle-dev,
+               libkf5qqc2desktopstyle-dev (>= 5.71.0~),
                libkf5service-dev (>= 5.71.0~),
                libkf5solid-dev (>= 5.71.0~),
                libkf5wayland-dev (>= 4:5.71.0~),
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqt5waylandclient5-dev,
+               libqt5waylandclient5-dev (>= 5.10.0~),
                libqt5x11extras5-dev (>= 5.10.0~),
-               libwayland-bin,
-               libwayland-dev,
                libx11-dev,
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.10.0~),
-               qtbase5-private-dev,
+               qtbase5-private-dev (>= 5.10.0~),
                qtdeclarative5-dev (>= 5.10.0~),
                qtmultimedia5-dev (>= 5.10.0~),
-               qtquickcontrols2-5-dev,
-               qtwayland5-dev-tools,
-Standards-Version: 4.5.1
+               qtquickcontrols2-5-dev (>= 5.10.0~),
+               qtwayland5-dev-tools
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://kdeconnect.kde.org
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
@@ -46,13 +47,13 @@
 
 Package: kdeconnect
 Architecture: any
-Depends: kpeople-vcard,
+Depends: fuse3 (>= 3),
+         kpeople-vcard,
          libqca-qt5-2-plugins,
          plasma-framework,
          qml-module-org-kde-kirigami2,
          qml-module-org-kde-kquickcontrolsaddons,
          qml-module-org-kde-people,
-         qml-module-org-kde-qqc2desktopstyle,
          qml-module-qt-labs-platform,
          qml-module-qtgraphicaleffects,
          qml-module-qtmultimedia,
@@ -63,9 +64,10 @@
          qml-module-qtquick-particles2,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         sshfs,
+         sshfs (>= 3),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
+Breaks: fuse (<< 3)
 Description: connect smartphones to your desktop devices
  Tool to integrate your smartphone, tablet, and desktop devices.
  Remote-control, share files, synchronize notifications, and more!
@@ -74,10 +76,7 @@
 
 Package: nautilus-kdeconnect
 Architecture: all
-Depends: kdeconnect,
-         nautilus,
-	 python3-nautilus,
-         ${misc:Depends},
+Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends}
 Enhances: nautilus
 Breaks: kdeconnect (<< 20.12)
 Replaces: kdeconnect (<< 20.12)
